import 'package:flutter/material.dart';

import 'database.dart';
import 'drawer.dart';

class Home extends StatelessWidget {
  // The indexes of each array match the assigned recipe.
  // DO NOT loop through each of these individually
  // to generate the recipes.

  @override
  Widget build(BuildContext context) {
    var text_style = const TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 20,
    );
    movieData.sort((a, b) => a['movietitle'].compareTo(b['movietitle']));
    return Scaffold(
      appBar: AppBar(
        // The title text which will be shown on the action bar
        title: const Center(child: Text("Wes Anderson")),
      ),
      drawer: Container(
        color: Colors.grey,
        child: AppDrawer(),
      ), //Appbar
      body: ListView(children: [
        for (var point = 0; point < movieData.length; point++)
          Container(
              margin: const EdgeInsets.fromLTRB(0, 0, 0, 10),
              child: Row(
                // direction: Axis.horizontal,
                textDirection: TextDirection.ltr,
                children: [
                  Expanded(
                      flex: 1,
                      child: Container(
                          margin: const EdgeInsets.fromLTRB(0, 0, 10, 0),
                          child: Image.asset('assets/poster/' +
                              movieData[point]["postimages"]))),
                  Expanded(
                      flex: 1,
                      child: Column(
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: [
                            Container(
                                margin: const EdgeInsets.fromLTRB(0, 0, 2, 2),
                                child: Text(movieData[point]["movietitle"],
                                    style: text_style)),
                            Container(
                              child: Row(
                                children: [
                                  const Text(
                                    "Release Date",
                                    style: TextStyle(
                                      fontSize: 18,
                                    ),
                                  ),
                                  Text(movieData[point]["releasedate"],
                                      style: const TextStyle(
                                          fontSize: 18,
                                          fontStyle: FontStyle.italic)),
                                ],
                              ),
                            ),
                            Container(
                              child: Text(
                                  'Score' +
                                      movieData[point]["ratings"].toString() +
                                      "%",
                                  style: const TextStyle(
                                    fontSize: 18,
                                  )),
                            )
                          ]))
                ],
              ))
      ]),
    ); //Scaffold
  } //build
}
